FUNCTION_NAME=YOUR-FUNCTION-NAME
ENTRY_POINT=YOUR-ENTRY-POINT
TOPIC_NAME=YOUR-TOPIC-NAME
REGION=YOUR-REGION
PATH=YOUR-PATH

gcloud functions deploy $FUNCTION_NAME \
--entry-point $ENTRY_POINT  \
--region $REGION \
--runtime python39 \
--trigger-topic $TOPIC_NAME \
--source $PATH